package dk.nsp.api.knowledge.models

import kotlinx.serialization.Serializable

@Serializable
data class ChecklistDTO(
    val id: String,
    val title: String,
    val text: String?,
    val items: List<ChecklistItemDTO>
)

@Serializable
data class ChecklistItemDTO(
    val id: String,
    val title: String,
    val text: String?,
    val value: Boolean
)