package dk.nsp.mingraviditet.ui.main.knowledge

import dk.nsp.mingraviditet.databinding.CategoryCardBinding
import dk.nsp.mingraviditet.ui.main.knowledge.viewbinding.CategoryBindingModel
import dk.nsp.mingraviditet.util.android.recycler.BindingViewHolder
import dk.nsp.mingraviditet.util.android.recycler.DelegationListAdapterInflater
import dk.nsp.mingraviditet.util.android.recycler.RecyclerAdapterView

class CategoryCard(val data: CategoryBindingModel) : RecyclerAdapterView<CategoryCardBinding> {
    override fun bindData(viewHolder: BindingViewHolder<CategoryCardBinding>) {
        viewHolder.binding.vm = data
    }

    override val createHolderFunction: DelegationListAdapterInflater<CategoryCardBinding> =
        CategoryCardBinding::inflate

}