package dk.nsp.mingraviditet.ui.main.knowledge.articles

import dk.nsp.domain.knowledge.LexiconCategory
import dk.nsp.mingraviditet.databinding.ArticlesHeaderViewBinding
import dk.nsp.mingraviditet.util.android.recycler.BindingViewHolder
import dk.nsp.mingraviditet.util.android.recycler.DelegationListAdapterInflater
import dk.nsp.mingraviditet.util.android.recycler.RecyclerAdapterView

class ArticlesHeader(val category: LexiconCategory) :
    RecyclerAdapterView<ArticlesHeaderViewBinding> {
    override fun bindData(viewHolder: BindingViewHolder<ArticlesHeaderViewBinding>) {
        viewHolder.binding.category = category
    }

    override val createHolderFunction: DelegationListAdapterInflater<ArticlesHeaderViewBinding> =
        ArticlesHeaderViewBinding::inflate
}