package dk.nsp.mingraviditet.ui.widgets

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import dk.nsp.mingraviditet.ui.common.TextModel
import dk.nsp.mingraviditet.util.extensions.getValue
import dk.nsp.mingraviditet.util.extensions.postSingleEvent
import dk.nsp.mingraviditet.util.livedata.SingleEvent

class BottomSheetViewModel(
    val title: TextModel
) : ViewModel() {
    private val _onClose: MutableLiveData<SingleEvent<Unit>> = MutableLiveData()
    val onClose by _onClose

    fun onClose() {
        _onClose.postSingleEvent()
    }

}